Skip to main content
`Ctrl`+`K`

# PetscSectionSetConstraintDof

Set the number of constrained degrees of freedom associated with a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetConstraintDof(PetscSection s, PetscInt point, PetscInt numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- numDof - the number of dof which are fixed by constraints

## See Also

PetscSection, `PetscSection`, `PetscSectionSetDof()`, `PetscSectionGetConstraintDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages